Bug 91175 - Intermittent failure clicking on portal link
Intermittent failure clicking on portal link
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity high
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 88923
  Show dependency treegraph
 
Reported: 2003-05-19 16:00 EDT by Jon Orris
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 17:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-05-19 16:00:33 EDT
Description of problem:
@31265

This comes up intermittently when clicking on a portal server link.
Reproduce:
Create a main page for your personal portal
Create a new portal site.
Link it in the personal page Portal Navigator.
Hope intermittent failure manifests when clicking on portal link.


CCM issue report code: goodeats.boston.redhat.com:8080:6c8d4fe:f541ff7859


-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:6c8d4fe:f541ff7859 -*-*-*-
-*-*-*- Message: invalid data object:
[com.arsdigita.versioning.GenericOperation:{id=8152}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: prtl_6012=6017; JSESSIONID=aPRrISLgxQ59;
ad_user_login=9!1053375442782!tBDlDO3Fs5cCBiJm+StQrQ==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/personal-portal/9/?g11n.enc=ISO-8859-1
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Cookies -*-*-*-
prtl_6012: 6017 (expires: -1)
JSESSIONID: aPRrISLgxQ59 (expires: -1)
ad_user_login: 9!1053375442782!tBDlDO3Fs5cCBiJm+StQrQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException: invalid data object:
[com.arsdigita.versioning.GenericOperation:{id=8152}]
	at
com.arsdigita.persistence.DataObjectImpl.validate(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.isNew(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.isNew(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.domain.DomainObject.isNew(DomainObject.java(Compiled Code))
	at com.arsdigita.versioning.Operation.beforeSave(Operation.java:144)
	at
com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java(Compiled
Code))
	at com.arsdigita.persistence.BeforeSaveEvent.invoke(DataEvent.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java(Compiled Code))
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java(Compiled Code))
	at com.arsdigita.persistence.Session.retrieve(Session.java(Compiled Code))
	at
com.arsdigita.domain.DomainObjectFactory.newInstance(DomainObjectFactory.java:159)
	at com.arsdigita.kernel.User.retrieve(User.java:104)
	at com.arsdigita.kernel.User.retrieve(User.java:80)
	at com.arsdigita.kernel.security.UserContext.getUser(UserContext.java:319)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:112)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.web.BaseApplicationServlet.application_id: 6012
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/test-portal/?g11n.enc=ISO-8859-1
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:6c8d4fe:f541ff7776 -*-*-*-
-*-*-*- Message: invalid data object:
[com.arsdigita.versioning.GenericOperation:{id=8152}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: prtl_6012=6017; JSESSIONID=aPRrISLgxQ59;
ad_user_login=9!1053375442782!tBDlDO3Fs5cCBiJm+StQrQ==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/personal-portal/9/?g11n.enc=ISO-8859-1
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Cookies -*-*-*-
prtl_6012: 6017 (expires: -1)
JSESSIONID: aPRrISLgxQ59 (expires: -1)
ad_user_login: 9!1053375442782!tBDlDO3Fs5cCBiJm+StQrQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException: invalid data object:
[com.arsdigita.versioning.GenericOperation:{id=8152}]
	at
com.arsdigita.persistence.DataObjectImpl.validate(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.isNew(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.isNew(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.domain.DomainObject.isNew(DomainObject.java(Compiled Code))
	at com.arsdigita.versioning.Operation.beforeSave(Operation.java:144)
	at
com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java(Compiled
Code))
	at com.arsdigita.persistence.BeforeSaveEvent.invoke(DataEvent.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java(Compiled Code))
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java(Compiled Code))
	at com.arsdigita.persistence.Session.retrieve(Session.java(Compiled Code))
	at
com.arsdigita.domain.DomainObjectFactory.newInstance(DomainObjectFactory.java:159)
	at com.arsdigita.kernel.User.retrieve(User.java:104)
	at com.arsdigita.kernel.User.retrieve(User.java:80)
	at com.arsdigita.kernel.security.UserContext.getUser(UserContext.java:319)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:112)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.web.BaseApplicationServlet.application_id: 6012
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/test-portal/?g11n.enc=ISO-8859-1

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/legacy-adapter/
Query string: app-id=6012&g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: goodeats.boston.redhat.com:8080:6c8d4fe:f541ff7776

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/test-portal/
Query string: g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2003-05-20 11:03:44 EDT
I'm seeing this in diverse areas in CMS as well. 
They seem to occur if I navigate somewhere after a CCM Error, or stop a
transaction & click other link.

Going to a higher level ( i.e. Content Section from the depths of content item
admin) or logging back in seems to make it go away.
Comment 2 Jon Orris 2003-05-20 16:32:38 EDT
Upping priority & severity, marking as Beta 2 blocker, as this problem occurs
frequently during E-Test runs, making them useless.

Note You need to log in before you can comment on or make changes to this bug.